MediaWiki:Fandomdesktop.css

From Tower Defense Simulator Wiki
Revision as of 00:20, 4 June 2021 by imported>Moviesign (Copying css from Wikia.css to Fandomdesktop.css)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/*Upgrade Styling - Thanks for TB Wikia for this*/

.upgrade {
border: 2px white;
border-radius: 5px;
margin: 5px;
padding: 5px;
}

.upgrade-z {
width: 50%;
}

/* Navigational Header*/

.mainheader {
    font-family: Source Sans Pro, Raleway, Rubik, sans-serif;
    font-size: 40px;
}
.mainpageheader {
    font-family: Source Sans Pro, Raleway, Rubik, sans-serif;
    font-size: 22px;
}
.upgradeheader {
    font-family: Source Sans Pro, Raleway, Rubik, sans-serif;
    font-size: 18px;
}

/* ------------[The Good Stuff]------------ */

.hoverimage img {
    opacity: 0.80;
    filter: alpha(opacity=70);
   -webkit-transition: opacity .2s ease-in-out;
}
 
.hoverimage img:hover {
    opacity: 1.5;
    filter: alpha(opacity=200);
}

/*Infobox*/

.portable-infobox .pi-title {
    background:url('https://static.wikia.nocookie.net/tower-defense-sim/images/a/a6/Header.png/revision/latest?cb=20201017062748');
    }

.portable-infobox .pi-item-spacing {
   padding: 8px 10px;
   overflow: hidden;
}

.pi-image-collection {
	font-size: 12px;
    text-align: center;
}

.portable-infobox .pi-image-collection-tabs {
   font-size: 12px;
   padding: 6px 8px;
   background: #5DAED3;
   font: Source Sans Pro, Raleway, Roboto, sans-serif;
   text-align: center;
}

/*Rail Mods*/

.right-rail-wrapper .rail-module {
    border: 8px solid transparent;
    border-radius: 7px;
    background: transparent;
    transition: 0.2s ease;
    transition-property: border, background;
}
    .WikiaRail .rail-module:hover {
        border: 8px solid rgba(211, 211, 211, 0.2);
        background: rgba(211, 211, 211, 0.5);
        border-radius: 6px;
    }

/*Roblox Interwiki Template*/

.RobloxWikis-Head {
    background: #025D7C !important;
    position: relative;
}
    .RobloxWikis-Head:Before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        border-style: solid;
        border-width: 0 0 12px 12px;
        border-color: #025D7C #E8E8E8;
    }
    .RobloxWikis a:hover {
        text-decoration: underline #222;
    }
    .RobloxWikis-HeadButton {
        border: none !important;
        background: #000 !important;
        box-shadow: 0 0 1px #000;
    }
    .RobloxWikis-OddRow {
        background: #555;
    }
    .RobloxWikis-EvenRow {
        background: #333;
    }
    
/*Angled Header*/

.angledheader {
    position: relative;
    font: 22px source sans pro;
    width: auto;
    height: auto;
    color: white;
    background: #33577A;
}
    .angledheader:before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        border-style: solid;
        border-width: 0 0 12px 12px;
        border-color: #33577A #E8E8E8;
    }

/*Angled NavBox*/

.anglednavbox {
    position: relative;
    font: 18px source sans pro;
    width: auto;
    height: auto;
    color: white;
    background: #33577A;
}
    .anglednavbox:before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        border-style: solid;
        border-width: 0 0 12px 12px;
        border-color: #33577A #E8E8E8;
    }